Subject: Re: RPM for Cygwin32 B19
From: [email-masked] (David Fox)

15 Jul 1998 04:14:01 -0700
Message-ID: <[email-masked]>
References: <[email-masked]>
To: Marcus Brown <[email-masked]>
Cc: [email-masked]

Marcus Brown <[email-masked]> writes:

> Hi, 
> 
> -----Original Message-----
> From: David Fox [mailto:[email-masked]]
> Sent: Sunday, July 12, 1998 7:40 AM
> To: Marcus Brown
> Subject: Re: RPM for Cygwin32 B19
> 
> You may be the first person besides myself who has installed and tried
> to use this.  What release number of RPM did you retrieve?  What
> arguments did you give to RPM?  What happens if you add "-v -v -v" to
> the flags?
> -- 
> 
> The rpm release that I retrieved was 2.4.109 and I followed the simple
> instructions (also posted in the same spot) which said to untar the
> package from the root directory.  Everything extracted without incident,
> and the package I retrieved also contained an updated cygwinb19.dll.
> RPM seems to be complaining about its startup file rpmrc, and when I
> checked the man page for rpm it showed rpmrc to be contained in the /etc
> and /lib directories.  I have a binary mount going to /etc from
> C:\Cygnus\B19\H-i386-cygwin32\etc and I have a copy of rpmrc in each
> (/etc and /lib).
> 
> Also, when executing rpm, I recieve the error even when running the
> program with no arguments.  It does the same when executing it with "-v
> -v -v" or any arbitrary argument.  Does rpm usually say "Re-execing
> rpm"?

The "Re-execing rpm" message is my addition, it has to modify its
environment and re-start itself if the CYGWIN32=binmode flag isn't
set.  It is normal.  I will remove the message in the next release.

> Marcus
> 
> Note:  The line that rpm referred to (rpmrc:36) is as follows:
> 
> arch_canon:	i986:	i986	1
> 
> I opened this file once before in NT's brain dead edit.exe, which does
> not preserve tabs, could this have something to do with it?

When I run RPM without arguments I get a long help message.  I'm not
sure what the problem might be.  I'll have to ponder it further.

If this has worked or failed for anyone else I'd be interested in
hearing about it.
-- 
David Fox	   http://www.cat.nyu.edu/fox		xoF divaD
NYU Media Research Lab   [email-masked]   baL hcraeseR aideM UYN
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".